# Mcafee IPS Logstash configuration
# Version: 1.0
# Configuration by: Wasim Halani (@washalsec) - wasim.halani@niiconsulting.com / wasimhalani@gmail.com 
# Credits: https://github.com/sysforensics/LogstashConfigs/blob/master/mcafee-ips.conf


input {
  file {
    type => "mcafee-ips"
    start_position => "beginning"
    path => "/McAfee_IPS/*.csv"
  }
}
filter {
  if ([message] =~ /^#/) {
    drop { }
    }
  if [type] == "mcafee-ips" {
    csv {
      columns => ["number","date","severity","attack-name","s-ip","d-ip","dst-port","result","attack-count","direction","layer","src-c","dst-c","app-name","protection","assignment","exe-name"]
      separator => ","
      remove_field => [ "message" ]
    }
    date {
      match => [ "date", "EEE MMM dd HH:mm:ss 'SGT' yyyy" ] # Change to your timezone
      timezone => "Asia/Singapore" # Change to your timezone
      target => [ "datetime"]
      remove_field => [ "date" ]
    }
    geoip {
      source => "s-ip"
    }
  }
}
output {
	# add necessary output parameters
	stdout {
		codec => rubydebug
	}
}